> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/currency/pairs.md).

# 1.7 Trading Pairs

```
GET /currencies/{currency_id}/pairs
```

**Path Parameters**

| Parameter    | Type   | Required | Description |
| ------------ | ------ | -------- | ----------- |
| currency\_id | String | Yes      | Currency ID |

**Query Parameters**

| Parameter  | Type    | Required | Description                                   |
| ---------- | ------- | -------- | --------------------------------------------- |
| page       | integer | No       | Page number                                   |
| page\_size | integer | No       | Items per page, default 20, max 100           |
| order\_by  | string  | No       | Sort field; defaults to 24h volume descending |
| exchange   | string  | No       | Filter by exchange                            |

**Response Example**

```json
{
    "list": [
        {
            "base": "BTC",
            "target": "USDT",
            "market": "Binance",
            "price": 69476,
            "turnover_24h": 20242,
            "cost_to_move_up_usd": 19320706.3958517,
            "cost_to_move_down_usd": 16360235.3694131
        }
    ],
    "page": 1,
    "page_size": 100,
    "total": 542
}
```

**Response Fields**

| Field                     | Type   | Description                                |
| ------------------------- | ------ | ------------------------------------------ |
| base                      | String | Base currency                              |
| target                    | String | Quote currency                             |
| market                    | String | Exchange name                              |
| price                     | Number | Latest price                               |
| turnover\_24h             | Number | 24-hour trading volume                     |
| cost\_to\_move\_up\_usd   | Number | +2% depth (USD cost to push price up 2%)   |
| cost\_to\_move\_down\_usd | Number | -2% depth (USD cost to push price down 2%) |
